package org.bazaar_vcs.qbzr_eclipse.handlers;

import org.bazaar_vcs.qbzr_eclipse.util.ProcessException;
import org.bazaar_vcs.qbzr_eclipse.util.ProcessResult;
import org.eclipse.core.commands.ExecutionEvent;

/**
 * Listener interface that is notified when commands complete or could not be
 * executed.
 */
public interface BazaarCommandHandlerListener
{
    /** Called when the command succeeds. */
    void commandSucceeded(ProcessResult result, ExecutionEvent event);

    /**
     * Called when the command is aborted (for example, Cancel button is
     * pressed).
     */
    void commandAborted(ProcessResult result, ExecutionEvent event);

    /** Called if the command fails. */
    void commandFailed(ProcessResult result, ExecutionEvent event);

    /** Called if the command could not be executed. */
    void commandCouldNotBeExecuted(ProcessException e, ExecutionEvent event);
}
