package org.bazaar_vcs.qbzr_eclipse.handlers;

import java.io.File;
import java.util.List;

public class InitCommandHandler extends BazaarCommandHandler
{
	@Override
	protected String getCommandName()
	{
		return "qinit";
	}
	
	@Override
	protected void checkCommandCanRunOnSelection(List<File> selectedFiles,
			File fileBeingEdited,
			File branchDirectory) throws CannotRunCommandOnSelectionException
	{
		if (selectedFiles.size() > 1)
		{
			throw new CannotRunCommandOnSelectionException(
					"Please select a single directory to be initialized");
		}
	}

	@Override
	protected File getDirectoryToRunIn(File workspaceRootDir,
			File branchDir,
			List<File> selectedFiles,
			File fileBeingEdited)
	{
		if (selectedFiles.isEmpty())
		{
			if (fileBeingEdited != null)
			{
				return fileBeingEdited.getParentFile();
			}

			return workspaceRootDir;
		}
		else
		{
			File selectedFile = selectedFiles.get(0);

			if (selectedFile.isDirectory())
			{
				return selectedFile;
			}

			return selectedFile.getParentFile();
		}
	}

	@Override
	protected boolean useSelectedFilesAsArguments()
	{
		return false;
	}
}
