package org.bazaar_vcs.qbzr_eclipse.preferences;

import org.bazaar_vcs.qbzr_eclipse.util.StringUtilities;
import org.eclipse.jface.dialogs.InputDialog;
import org.eclipse.jface.preference.ListEditor;
import org.eclipse.swt.widgets.Composite;

public class AutoAddPatternsListEditor extends ListEditor
{
	public AutoAddPatternsListEditor(Composite parent)
	{
		super(PreferenceConstants.AUTO_ADD_PATTERNS, "", parent);
	}

	@Override
	protected String createList(String[] patterns)
	{
		StringBuilder buffer = new StringBuilder();

		boolean isFirst = true;

		for (String pattern : patterns)
		{
			if (!isFirst)
			{
				buffer.append(";");
			}

			buffer.append(pattern);

			isFirst = false;
		}

		return buffer.toString();
	}

	@Override
	protected String getNewInputObject()
	{
		InputDialog dialog = new InputDialog(
				getShell(),
				"Enter pattern",
				"Enter the regular expression pattern to be added (e.g \".*\\.java\")",
				"", null);

		if (dialog.open() == InputDialog.OK)
		{
			return dialog.getValue();
		}

		return null;
	}

	@Override
	protected String[] parseString(String patterns)
	{
		return StringUtilities.separateString(patterns, ";", false);
	}
}
