package org.bazaar_vcs.qbzr_eclipse.util;

import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.jface.viewers.ITreeSelection;
import org.eclipse.ui.IEditorPart;
import org.eclipse.ui.handlers.HandlerUtil;

public final class EclipseUtilities
{

	/** Gets the set of files selected in the browser. */
	public static List<File> getSelectedFiles(ITreeSelection selection)
	{
		List<File> selectedFiles = new ArrayList<File>();
		ITreeSelection treeSelection = selection;

		Iterator<?> iterator = treeSelection.iterator();

		while (iterator.hasNext())
		{
			Object selectedObject = iterator.next();

			if (selectedObject instanceof IAdaptable)
			{
				IAdaptable adaptable = (IAdaptable) selectedObject;
				IResource resource = (IResource) adaptable
						.getAdapter(IResource.class);

				if (resource != null)
				{
					selectedFiles.add(resource.getLocation().toFile());
				}
			}
		}

		return selectedFiles;
	}

	/** Gets the file currently being edited in the active editor. */
	public static File getFileBeingEdited(ExecutionEvent event)
	{
		IEditorPart activeEditor = HandlerUtil.getActiveEditor(event);

		if (activeEditor != null)
		{
			IResource resource = (IResource) activeEditor.getEditorInput()
					.getAdapter(IResource.class);

			if (resource != null)
			{
				return resource.getLocation().toFile();
			}
		}

		return null;
	}

}
